com.salesforce.hyperdb.grpc

## Class ErrorInfo

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.salesforce.hyperdb.grpc.ErrorInfo

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, ErrorInfoOrBuilder, Serializable

    public final class ErrorInfo
    extends com.google.protobuf.GeneratedMessageV3
    implements ErrorInfoOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.ErrorInfo`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ErrorInfo.Builder` Protobuf type `salesforce.hyperdb.grpc.v1.ErrorInfo`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CUSTOMER_DETAIL_FIELD_NUMBER`
`static int` `CUSTOMER_HINT_FIELD_NUMBER`
`static int` `POSITION_FIELD_NUMBER`
`static int` `PRIMARY_MESSAGE_FIELD_NUMBER`
`static int` `SQLSTATE_FIELD_NUMBER`
`static int` `SYSTEM_DETAIL_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getCustomerDetail()` `string customer_detail = 4;`
`com.google.protobuf.ByteString` `getCustomerDetailBytes()` `string customer_detail = 4;`
`String` `getCustomerHint()` `string customer_hint = 3;`
`com.google.protobuf.ByteString` `getCustomerHintBytes()` `string customer_hint = 3;`
`static ErrorInfo` `getDefaultInstance()`
`ErrorInfo` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Parser<ErrorInfo>` `getParserForType()`
`TextPosition` `getPosition()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`TextPositionOrBuilder` `getPositionOrBuilder()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`String` `getPrimaryMessage()` `string primary_message = 1;`
`com.google.protobuf.ByteString` `getPrimaryMessageBytes()` `string primary_message = 1;`
`int` `getSerializedSize()`
`String` `getSqlstate()` `string sqlstate = 2;`
`com.google.protobuf.ByteString` `getSqlstateBytes()` `string sqlstate = 2;`
`String` `getSystemDetail()` `string system_detail = 5;`
`com.google.protobuf.ByteString` `getSystemDetailBytes()` `string system_detail = 5;`
`int` `hashCode()`
`boolean` `hasPosition()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static ErrorInfo.Builder` `newBuilder()`
`static ErrorInfo.Builder` `newBuilder(ErrorInfo prototype)`
`ErrorInfo.Builder` `newBuilderForType()`
`protected ErrorInfo.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ErrorInfo` `parseDelimitedFrom(InputStream input)`
`static ErrorInfo` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ErrorInfo` `parseFrom(byte[] data)`
`static ErrorInfo` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ErrorInfo` `parseFrom(ByteBuffer data)`
`static ErrorInfo` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ErrorInfo` `parseFrom(com.google.protobuf.ByteString data)`
`static ErrorInfo` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ErrorInfo` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static ErrorInfo` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ErrorInfo` `parseFrom(InputStream input)`
`static ErrorInfo` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ErrorInfo>` `parser()`
`ErrorInfo.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### PRIMARY_MESSAGE_FIELD_NUMBER

    public static final int PRIMARY_MESSAGE_FIELD_NUMBER

See Also:
  Constant Field Values

#### SQLSTATE_FIELD_NUMBER

    public static final int SQLSTATE_FIELD_NUMBER

See Also:
  Constant Field Values

#### CUSTOMER_HINT_FIELD_NUMBER

    public static final int CUSTOMER_HINT_FIELD_NUMBER

See Also:
  Constant Field Values

#### CUSTOMER_DETAIL_FIELD_NUMBER

    public static final int CUSTOMER_DETAIL_FIELD_NUMBER

See Also:
  Constant Field Values

#### SYSTEM_DETAIL_FIELD_NUMBER

    public static final int SYSTEM_DETAIL_FIELD_NUMBER

See Also:
  Constant Field Values

#### POSITION_FIELD_NUMBER

    public static final int POSITION_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getPrimaryMessage

    public String getPrimaryMessage()

`string primary_message = 1;`

Specified by:
  `getPrimaryMessage` in interface `ErrorInfoOrBuilder`
Returns:
  The primaryMessage.

#### getPrimaryMessageBytes

    public com.google.protobuf.ByteString getPrimaryMessageBytes()

`string primary_message = 1;`

Specified by:
  `getPrimaryMessageBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for primaryMessage.

#### getSqlstate

    public String getSqlstate()

`string sqlstate = 2;`

Specified by:
  `getSqlstate` in interface `ErrorInfoOrBuilder`
Returns:
  The sqlstate.

#### getSqlstateBytes

    public com.google.protobuf.ByteString getSqlstateBytes()

`string sqlstate = 2;`

Specified by:
  `getSqlstateBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for sqlstate.

#### getCustomerHint

    public String getCustomerHint()

`string customer_hint = 3;`

Specified by:
  `getCustomerHint` in interface `ErrorInfoOrBuilder`
Returns:
  The customerHint.

#### getCustomerHintBytes

    public com.google.protobuf.ByteString getCustomerHintBytes()

`string customer_hint = 3;`

Specified by:
  `getCustomerHintBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for customerHint.

#### getCustomerDetail

    public String getCustomerDetail()

`string customer_detail = 4;`

Specified by:
  `getCustomerDetail` in interface `ErrorInfoOrBuilder`
Returns:
  The customerDetail.

#### getCustomerDetailBytes

    public com.google.protobuf.ByteString getCustomerDetailBytes()

`string customer_detail = 4;`

Specified by:
  `getCustomerDetailBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for customerDetail.

#### getSystemDetail

    public String getSystemDetail()

`string system_detail = 5;`

Specified by:
  `getSystemDetail` in interface `ErrorInfoOrBuilder`
Returns:
  The systemDetail.

#### getSystemDetailBytes

    public com.google.protobuf.ByteString getSystemDetailBytes()

`string system_detail = 5;`

Specified by:
  `getSystemDetailBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for systemDetail.

#### hasPosition

    public boolean hasPosition()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

Specified by:
  `hasPosition` in interface `ErrorInfoOrBuilder`
Returns:
  Whether the position field is set.

#### getPosition

    public TextPosition getPosition()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

Specified by:
  `getPosition` in interface `ErrorInfoOrBuilder`
Returns:
  The position.

#### getPositionOrBuilder

    public TextPositionOrBuilder getPositionOrBuilder()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

Specified by:
  `getPositionOrBuilder` in interface `ErrorInfoOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static ErrorInfo parseFrom(ByteBuffer data)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ErrorInfo parseFrom(ByteBuffer data,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ErrorInfo parseFrom(com.google.protobuf.ByteString data)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ErrorInfo parseFrom(com.google.protobuf.ByteString data,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ErrorInfo parseFrom(byte[] data)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ErrorInfo parseFrom(byte[] data,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static ErrorInfo parseFrom(InputStream input)
                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ErrorInfo parseFrom(InputStream input,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ErrorInfo parseDelimitedFrom(InputStream input)
                                        throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static ErrorInfo parseDelimitedFrom(InputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ErrorInfo parseFrom(com.google.protobuf.CodedInputStream input)
                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static ErrorInfo parseFrom(com.google.protobuf.CodedInputStream input,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public ErrorInfo.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static ErrorInfo.Builder newBuilder()

#### newBuilder

    public static ErrorInfo.Builder newBuilder(ErrorInfo prototype)

#### toBuilder

    public ErrorInfo.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected ErrorInfo.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static ErrorInfo getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<ErrorInfo> parser()

#### getParserForType

    public com.google.protobuf.Parser<ErrorInfo> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public ErrorInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`